<template>
    <div class="content-grid">
        <h1>{{ t('routes.historique.name')}}</h1>
        <Card :title="t('global.cliquerpourvoirvosplans')" v-if="tableUserLot">

            <div v-for="userLot in tableUserLot" v-bind:key="userLot.id">

                <!--<BtnLink v-for="userLot in tableUserLot" v-bind:key="userLot.id" :name="userLot.year +' ( '+t('global.lot') +' '+ userLot.lotNumber+ ' )'"
                         :path="{ name: 'plan index', params: { id: userLot.id } }" />-->

                <BtnLink :name="userLot.year +' ( '+t('global.lot') +' '+ userLot.lotNumber+ ' )'"
                         :path="{ name: 'plan index', params: { id: userLot.id } }" />
            </div>

        </Card>
    </div>
</template>

<script lang="ts" setup>
    import i18n from "@/i18n";
    import { useI18n } from "vue3-i18n";
    import { computed, onMounted, ref } from "vue";
    import { useUserLotService } from "@/inversify.config";
    import { useMemberService } from "@/inversify.config";
    import { notifyError, notifySuccess } from "@/notify";
    import Card from "@/components/layout/Card.vue";
    import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
    import SearchInput from "@/components/layout/SearchInput.vue";
    import DataTable from "@/components/layout/DataTable.vue";
    import BtnLink from "@/components/layout/BtnLink.vue";
    import { UserLot } from "@/types/entities";
    import { useUserLotStore } from "@/stores/userLotStore";

    import { Guid } from "@/types";

    const userLotStore = useUserLotStore()
    const { t } = useI18n()
    const userLotService = useUserLotService()

    const lesUserLot = ref<UserLot[]>([]);

    const tableUserLot = computed(() => {
        let lang = i18n.getLocale()
        return lesUserLot.value.map((x: UserLot) => {
            return {
                id: x.id,
                year: x.yearAssignment,
                lotNumber: x.lotNumber
            }
        }).sort((a: any, b: any) => {
            if (a.yearAssigment < b.yearAssigment) {
                return -1;
            }
            if (a.yearAssigment > b.yearAssigment) {
                return 1;
            }
            return 0;
        }) as UserLot[];
    })

    onMounted(async () => {
        await ChargerUserLot();
    });

    async function ChargerUserLot() {
        lesUserLot.value=userLotStore.getUserlot
    }
</script>
